
#applist, #dockapplist, #dock {
	display: none;
}

body {
	display: flex;
	flex-direction: column;
}

main {
	position: relative;
}

#footer , footer {
	display: block !important;
	height: 40px;
	position: sticky;
	background: black;
	z-index: 10000000;
}


#launchpad {
	position: absolute;
}

#launchpad > button {
	/* launchpad */
	display: none;
}

#launchpad > ul {
	padding: 0;
}

#launchpad ul button {
	background-color: gray;
}

.android #launchpad ul button {
	corner-shape: squircle;
	border-radius: 100%;
	font-size: 30px;
	padding: 0;
	overflow: hidden;

	display: flex;
    justify-content: center;
    align-items: center;
}

@media (prefers-color-scheme: dark) {
	#launchpad ul button {
		color: lightgray;
	}
}

#launchpad ul button img {
	max-width: 100%;
    max-height: 100%;
    object-fit: cover;
}

footer nav {
	display: flex;
    justify-content: center;
	height: 100%;
}

footer button {
	min-width: 5rem;
}

footer svg {
	height: 100%;
	fill: none;
}

/* button:active::after {
	transition: all 1s linear;
}

.modern button:active::after
{
	content: "";
	position: absolute;
	inset: 0;
	border-radius: inherit;
	padding: .5px;
	background: linear-gradient(rgba(255, 255, 255, 0.1), #ffffff38 75%);;
	mask: linear-gradient(#ffffff 0 0) content-box, linear-gradient(#ffffff 0 0);
	-webkit-mask: linear-gradient(#ffffff 0 0) content-box, linear-gradient(#ffffff 0 0);
	-webkit-mask-componsite: xor;
	mask-composite: exclude;
	pointer-events: none;

	

} */


#main-frame {
	z-index: 100;
    display: block;
    position: relative;
    width: 100%;
    height: 100%;
	background-color: white;
	transition: all 250ms cubic-bezier(0, 0, 0.06, 0.98);
	will-change: transform, opacity;
}
#main-frame > iframe {
	width: 100%;
	height: 100%;
	border: none;
	position: absolute;
	top: 0;
	left: 0;
}
#launchpad.open, #main-frame {
	pointer-events: auto;
}

#main-frame:not(.open) {
	opacity: 0;
	transform: scale(0.5);
	pointer-events: none;
}

.mobile #launchpad.open {
	z-index: 0;
}